#ifndef CRUDEVICEGLOBAL_H
#define CRUDEVICEGLOBAL_H

#include "ModularDeviceStatus.h"
#include "mstream-mreg-dev-global/MstreamMregDevGlobal.h"

class CruDeviceGlobal : public MstreamMregDevGlobal
{
    Q_OBJECT
public:
    CruDeviceGlobal(const DeviceIndex &index, QObject *parent = nullptr);
    ModularDeviceStatus getStatus() const { return devStatus; }

public slots:
    void deviceStatusUpdated(const ModularDeviceStatus &status);

private:
    ModularDeviceStatus devStatus;
};

#endif // CRUDEVICEGLOBAL_H
