#ifndef CONSOLEREADER_H
#define CONSOLEREADER_H

#include <QObject>

class QSocketNotifier;

class ConsoleReader : public QObject
{
    Q_OBJECT

public:
    ConsoleReader(QObject *parent);

signals:
    void quit(const QString &) const;
    void help(const QString &) const;
    void toggleStatPrint(const QString &) const;
    void printStat(const QString &) const;
    void setFilePath(const QString &arg) const;

private slots:
    void readCommand();
    void printHelp() const;

private:
    QSocketNotifier *m_notifier;
};

#endif // CONSOLEREADER_H
