#ifndef HRBCONFIGDB_H
#define HRBCONFIGDB_H

#include "mongo/AbstractConfigDb.h"

#include "HrbAppConfig.h"

class ConfigKey;

class HrbConfigDb : public AbstractConfigDb
{
    Q_OBJECT
public:
    explicit HrbConfigDb(QObject *parent = nullptr);

signals:
    void configChanged(const HrbAppConfig &);

public slots:
    void setConfig(const ConfigKey &, const HrbAppConfig &newConfig);

protected:
    virtual void update_config_from_db() override;

private:
    HrbAppConfig config;
};

#endif // HRBCONFIGDB_H
