#ifndef ADJUSTBUFFERDIALOG_H
#define ADJUSTBUFFERDIALOG_H

#include <QDialog>

#include "EvBConfig.h"

class AdjustBufferModel;
class QTimer;

namespace Ui {
class AdjustBufferDialog;
}

class AdjustBufferDialog : public QDialog
{
    Q_OBJECT

public:
    explicit AdjustBufferDialog(QWidget *parent = nullptr);
    ~AdjustBufferDialog() override;
    void setModel(AdjustBufferModel* model) const;

signals:
    void configChanged(const EvBConfig &) const;

public slots:
    void setConfig(const EvBConfig &newConfig);

private slots:
    void on_checkBoxAutoResize_toggled(bool checked);
    void upMemLabel();

private:
    Ui::AdjustBufferDialog *ui;

    EvBConfig config;
    QTimer * const memTimer;
};

#endif // ADJUSTBUFFERDIALOG_H
