#ifndef EVBEVNUMBERCONFIG_H
#define EVBEVNUMBERCONFIG_H

#include <QMetaType>
#include <QtGlobal>

class QDataStream;

struct EvbEvNumberConfig
{
    friend bool operator==(const EvbEvNumberConfig &, const EvbEvNumberConfig &) = default;
    int getEvNumIndex() const { return static_cast<int>(startEvNum%step); }

    quint32 startEvNum = 0; // EvB index in 2nd level
    quint32 step = 1; // number of EvB in 2nd level
};
Q_DECLARE_METATYPE(EvbEvNumberConfig)

QDebug operator<<(QDebug dbg, const EvbEvNumberConfig &c);
QDataStream &operator<<(QDataStream &out, const EvbEvNumberConfig &r);
QDataStream &operator>>(QDataStream &in, EvbEvNumberConfig &r);

#endif // EVBEVNUMBERCONFIG_H
