#include "app/RunGuard.h"
#include "metric-sender/MetricSender.h"
#include "mongo/PrintConfigMap.h"

#include "EvbMainWindow.h"
#include "EvBApp.h"
#include <QDebug>

int main(int argc, char *argv[])
{
    EvBApp app(argc, argv);
    app.init();

    if(app.hasConfigListOpt())
        printConfigMap();

    RunGuard::runSingleOrExit();

    MetricSender::instance().install();

    EvbMainWindow w(app.getStartupOptions());
    w.show();

    return app.exec();
}
