#ifndef TQDCDEVICEGLOBAL_H
#define TQDCDEVICEGLOBAL_H

#include "mstream-mreg-dev-global/MstreamMregDevGlobal.h"
#include "TqdcStatus.h"

class TqdcDevice;

class TqdcDeviceGlobal : public MstreamMregDevGlobal
{
    Q_OBJECT
public:
    explicit TqdcDeviceGlobal(const DeviceIndex &index, QObject *parent = nullptr);

    TqdcStatus getTqdcStatus() const { return pendingDevStatus; }

public slots:
    void deviceStatusUpdated(const TqdcStatus &status);

private:
    TqdcStatus pendingDevStatus;
    bool lookForStop = false;
    quint32 stopEvNum = 0;
};

#endif // TQDCDEVICEGLOBAL_H
