#ifndef PHYRESETBUTTONDELEGATE_H
#define PHYRESETBUTTONDELEGATE_H

#include <QItemDelegate>
#include <QObject>

struct FeLinkTreeModelItem;
class DeviceIndex;

class PhyResetButtonDelegate : public QItemDelegate
{
    Q_OBJECT
public:
    explicit PhyResetButtonDelegate(QObject *parent = nullptr)
        : QItemDelegate{parent} {}
    QWidget *createEditor(QWidget *parent,
                          const QStyleOptionViewItem &option,
                          const QModelIndex &index) const;
    // void setEditorData(QWidget *editor,
    //                    const QModelIndex &index) const;
    // void setModelData(QWidget *editor,
    //                   QAbstractItemModel *model,
    //                   const QModelIndex &index) const;

signals:
    void phyReset(const DeviceIndex &dev, int ch) const;

private slots:
    void buttonClicked() const;

private:
    inline FeLinkTreeModelItem *getItemByIndex(const QModelIndex &index) const;
};

#endif // PHYRESETBUTTONDELEGATE_H
