#ifndef RCCLIENTPROTOVERSIONS_H
#define RCCLIENTPROTOVERSIONS_H

#include <QMetaType>
#include <QString>

enum RC_CLIENT_PROTO_ID {
    RC_CLIENT_PROTO_UNKNOWN=0,
    RC_CLIENT_PROTO_V1=1, // simple string
    RC_CLIENT_PROTO_V2=2, // RC_MSG_CMD_OLD
    RC_CLIENT_PROTO_V3=3, // RC_MSG_CMD
    RC_CLIENT_PROTO_V4=4, // RC_MSG_CMD_V4
    RC_CLIENT_PROTO_V5=5, // RC_MSG_JSON_V5
};
Q_DECLARE_METATYPE(RC_CLIENT_PROTO_ID)

QString getProtocolIdStr(RC_CLIENT_PROTO_ID id, bool shortStr = true);

#endif // RCCLIENTPROTOVERSIONS_H
