#include "DfpMainWindow.h"

#include "app/DaqGuiApp.h"
#include "base/Globals.h"

int main(int argc, char *argv[])
{
    Globals::setDaqModuleType(DaqModule::Type::DeviceFlashProg);
    // Globals::setDaqModuleType(DaqModule::Type::DeviceBrowser); // wtf?
    DaqGuiApp daqApp(argc, argv);
    daqApp.init();

    int ret;
    {
        DfpMainWindow *w = nullptr;
        if (daqApp.isGuiApp()) {
            w = new DfpMainWindow;
            w->show();
        }
        // TODO: DfpCore core;
        ret = daqApp.exec();
        delete w;
    }

    return ret;
}
