#ifndef EVENTMETAINFO_H
#define EVENTMETAINFO_H

#include <QElapsedTimer>

struct EventMetaInfo
{
    EventMetaInfo()
    {
        createTime.invalidate();
    }
    void reset() {
        *this = EventMetaInfo();
        createTime.start();
    }

    char *data1 = nullptr; // Pointer to Event Payload
    int dataPos1 = 0; // Pointer to Event Payload
    int size1 = 0;
    char *data2 = nullptr; // Second part if data splitted (should be the beginning of ring) dataPos2==0
    int size2 = 0;
    int skipData = 0; // space after this event that was marked as Start/Stop Run Records or corrupted data

    bool free = true;
    QElapsedTimer createTime;
    quint32  type = 0;
    quint32 evNum = 0;
    int headerSize = 0;
};

#endif // EVENTMETAINFO_H
