#ifndef MSCTHRESHOLDVIEW_H
#define MSCTHRESHOLDVIEW_H

#include <QTreeView>

class MscSpinBoxDelegate;

class MscThresholdView : public QTreeView
{
public:
    explicit MscThresholdView(QWidget *parent = nullptr);
    void setModel(QAbstractItemModel *model) override;

private slots:
    void onModelReset();

private:
    void addDelegate(const QModelIndex &parent = QModelIndex());
    MscSpinBoxDelegate * const delegate;
};

#endif // MSCTHRESHOLDVIEW_H
