#ifndef AD5328MODULE_H
#define AD5328MODULE_H

#include "device-modules/BaseDeviceModule.h"

class Ad5328Config;

// SPI control under DAC AD5308/AD5318/AD5328
class Ad5328Module : public BaseDeviceModule<Ad5328Module>
{
public:
    explicit Ad5328Module(const MregBusInterface &bus);

    static QList<AFI_SDB_ID> getSupportedSdbIds();

    bool writeConfig(const Ad5328Config &config);

private:
};

#endif // AD5328MODULE_H
