/*
**    Copyright 2022 Ilia Slepnev
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef DLNPCALIBRATIONTRIGGERBUILDPARAMS_H
#define DLNPCALIBRATIONTRIGGERBUILDPARAMS_H

#include <QtGlobal>
#include <QMetaType>

struct DlnpCalibrationTriggerBuildParams
{
    friend bool operator==(const DlnpCalibrationTriggerBuildParams &, const DlnpCalibrationTriggerBuildParams &) = default;
    bool isValid() const;

    quint32 id = 0;
    quint32 clockKHz = 0;
};
Q_DECLARE_METATYPE(DlnpCalibrationTriggerBuildParams)

#endif // DLNPCALIBRATIONTRIGGERBUILDPARAMS_H
