#ifndef FELINKBUILDPARAMS_H
#define FELINKBUILDPARAMS_H

#include <QtGlobal>
#include <QMetaType>

#include "FeLinkStatus.h"

struct FeLinkBuildParams
{
    friend bool operator==(const FeLinkBuildParams &, const FeLinkBuildParams &) = default;
    bool isValid() const;

    quint32 id = 0;
    quint16 chNum = 0;
    QVector<FeLinkChannelInfo> chInfo;
    quint16 startAddr = 0;
    quint16 addStep = 0;

};
Q_DECLARE_METATYPE(FeLinkBuildParams)

#endif // FELINKBUILDPARAMS_H
