#ifndef CONFIGLISTMODEL_H
#define CONFIGLISTMODEL_H

#include "base/ConfigIndexName.h"
#include "json-tree-model/JsonTreeModel.h"

class ConfigListModel : public JsonTreeModel
{
    Q_OBJECT
public:
    explicit ConfigListModel(QObject *parent = nullptr);
    virtual QVariant data(const QModelIndex &index, int role) const override;

public slots:
    void set_current_cin(const ConfigIndexName &cin);

private:
    QModelIndex getModelIndexByCin(const ConfigIndexName &cin) const;

    ConfigIndexName cur_cin;
};

#endif // CONFIGLISTMODEL_H
